;MR		Mode Register (8 bits)
;Bits
MR_LF				EQU		7
MR_DM				EQU		6
MR_SC				EQU		5
MR_RSVD4			EQU		4
MR_S1				EQU		3
MR_S0				EQU		2
MR_I1				EQU		1
MR_I0				EQU		0
;Bitmasks
MR_LF_MASK			EQU		$80
MR_S_MASK			EQU		$0C
MR_I_MASK			EQU		$03
;Config. values
MR_DOUBLE_MPY_DIS	EQU		$00
MR_DOUBLE_MPY_EN	EQU		$40
MR_16BIT_MODE_EN	EQU		$20
MR_16BIT_MODE_DIS	EQU		$00
MR_NO_SCALING		EQU		$00
MR_SCALE_DOWN		EQU		$04
MR_SCALE_UP			EQU		$08
MR_INT_MASK_0		EQU		$00
MR_INT_MASK_1		EQU		$01
MR_INT_MASK_2		EQU		$02
MR_INT_MASK_3		EQU		$03
MR_RSVD_VAL			EQU		$10


;CCR	Condition Code Register (8 bits)
;Bits
CCR_S				EQU		7
CCR_L				EQU		6
CCR_E				EQU		5
CCR_U				EQU		4
CCR_N				EQU		3
CCR_Z				EQU		2
CCR_V				EQU		1
CCR_C				EQU		0
;Bitmasks
CCR_S_MASK			EQU		$80
CCR_L_MASK			EQU		$40
CCR_E_MASK			EQU		$20
CCR_U_MASK			EQU		$10
CCR_N_MASK			EQU		$08
CCR_Z_MASK			EQU		$04
CCR_V_MASK			EQU		$02
CCR_C_MASK			EQU		$01


;SR		Status Register = EMR:MR:CCR (24 bits)
;Bits
SR_CP1				EQU		23
SR_CP0				EQU		22
SR_RM				EQU		21
SR_SM				EQU		20
SR_CE				EQU		19
SR_RSVD18			EQU		18
SR_SA				EQU		17
SR_FV				EQU		16
SR_LF				EQU		15
SR_DM				EQU		14
SR_SC				EQU		13
SR_RSVD12			EQU		12
SR_S1				EQU		11
SR_S0				EQU		10
SR_I1				EQU		9
SR_I0				EQU		8
SR_S				EQU		7
SR_L				EQU		6
SR_E				EQU		5
SR_U				EQU		4
SR_N				EQU		3
SR_Z				EQU		2
SR_V				EQU		1
SR_C				EQU		0
;Bitmasks
SR_EMR_MASK			EQU		$FF0000
SR_MR_MASK			EQU		$00FF00
SR_CCR_MASK			EQU		$0000FF
SR_CP_MASK			EQU		$C00000
SR_RM_MASK			EQU		$200000
SR_SM_MASK			EQU		$100000
SR_CE_MASK			EQU		$080000
SR_SA_MASK			EQU		$020000
SR_FV_MASK			EQU		$010000
SR_LF_MASK			EQU		$008000
SR_DM_MASK			EQU		$004000
SR_SC_MASK			EQU		$002000
SR_S1_MASK			EQU		$000C00
SR_I1_MASK			EQU		$000300
SR_S_MASK			EQU		$000080
SR_L_MASK			EQU		$000040
SR_E_MASK			EQU		$000020
SR_U_MASK			EQU		$000010
SR_N_MASK			EQU		$000008
SR_Z_MASK			EQU		$000004
SR_V_MASK			EQU		$000002
SR_C_MASK			EQU		$000001
;Config. values
SR_CPL_0			EQU		$000000
SR_CPL_1			EQU		$400000
SR_CPL_2			EQU		$800000
SR_CPL_3			EQU		$C00000
SR_CNVRGNT_RND		EQU		$000000
SR_TWOSCMP_RND		EQU		$200000
SR_SAT_MODE_DIS		EQU		$000000
SR_SAT_MODE_EN		EQU		$100000
SR_16BIT_ARITH_EN	EQU		$020000
SR_16BIT_ARITH_DIS	EQU		$000000
SR_DOUBLE_MPY_DIS	EQU		$000000
SR_DOUBLE_MPY_EN	EQU		$004000
SR_16BIT_MODE_EN	EQU		$002000
SR_16BIT_MODE_DIS	EQU		$000000
SR_NO_SCALING		EQU		$000000
SR_SCALE_DOWN		EQU		$000400
SR_SCALE_UP			EQU		$000800
SR_INT_MASK_0		EQU		$000000
SR_INT_MASK_1		EQU		$000100
SR_INT_MASK_2		EQU		$000200
SR_INT_MASK_3		EQU		$000300
SR_RSVD_VAL			EQU		$041000


;SCS	System Stack Control/Status (8 bits)
;Bits
SCS_RSVD23			EQU		7
SCS_RSVD22			EQU		6
SCS_RSVD21			EQU		5
SCS_SEN				EQU		4
SCS_WRP				EQU		3
SCS_EOV				EQU		2
SCS_EUN				EQU		1
SCS_XYS				EQU		0
;Bitmasks
SCS_SEN_MASK		EQU		$10
SCS_WRP_MASK		EQU		$08
SCS_EOV_MASK		EQU		$04
SCS_EUN_MASK		EQU		$02
SCS_XYS_MASK		EQU		$01
;Config. values
SCS_STACK_EXT_EN	EQU		$10
SCS_STACK_EXT_DIS	EQU		$00
SCS_STACK_EXT_X		EQU		$00
SCS_STACK_EXT_Y		EQU		$01
SCS_RSVD_VAL		EQU		$00


;EOM	Extended Chip Operating Mode Register (8 bits)
;Bits
EOM_ATE				EQU		7
EOM_APD				EQU		6
EOM_RSVD13			EQU		5
EOM_RSVD12			EQU		4
EOM_TAS				EQU		3
EOM_RSVD10			EQU		2
EOM_CPD1			EQU		1
EOM_CPD0			EQU		0
;Bitmasks
EOM_ATE_MASK		EQU		$80
EOM_APD_MASK		EQU		$40
EOM_TAS_MASK		EQU		$08
EOM_CPD_MASK		EQU		$03
;Config. values
EOM_ADDR_TRACE_EN	EQU		$80
EOM_ADDR_TRACE_DIS	EQU		$00
EOM_AAP_EN			EQU		$00
EOM_AAP_DIS			EQU		$40
EOM_TA_SYNC_INT		EQU		$08
EOM_TA_SYNC_EXT		EQU		$00
EOM_DPL_DYNAMIC		EQU		$00
EOM_DPL_HIGH		EQU		$01
EOM_DPL_CORE		EQU		$02
EOM_DPL_LOW			EQU		$03
EOM_RSVD_VAL		EQU		$00


;COM	Chip Operating Mode Register (8 bits)
;Bits
COM_MS				EQU		7
COM_SD				EQU		6
COM_RSVD5			EQU		5
COM_EBD				EQU		4
COM_MD				EQU		3
COM_RSVD2			EQU		2
COM_MB				EQU		1
COM_MA				EQU		0
;Bitmasks
COM_MS_MASK			EQU		$80
COM_SD_MASK			EQU		$40
COM_EBD_MASK		EQU		$10
COM_MD_MASK			EQU		$08
COM_MB_MASK			EQU		$02
COM_MA_MASK			EQU		$01
;Config. values
COM_MEM_SW_EN		EQU		$80
COM_MEM_SW_DIS		EQU		$00
COM_STP_DLY_LONG	EQU		$00
COM_STP_DLY_SHORT	EQU		$40
COM_EXT_BUS_DIS		EQU		$10
COM_EXT_BUS_EN		EQU		$00
COM_RSVD_VAL		EQU		$04


;OMR	Operating Mode Register = SCS:EOM:COM (24 bits)
;Bits
OMR_RSVD23			EQU		23
OMR_RSVD22			EQU		22
OMR_RSVD21			EQU		21
OMR_SEN				EQU		20
OMR_WRP				EQU		19
OMR_EOV				EQU		18
OMR_EUN				EQU		17
OMR_XYS				EQU		16
OMR_ATE				EQU		15
OMR_APD				EQU		14
OMR_RSVD13			EQU		13
OMR_RSVD12			EQU		12
OMR_TAS				EQU		11
OMR_RSVD10			EQU		10
OMR_CPD1			EQU		9
OMR_CPD0			EQU		8
OMR_MS				EQU		7
OMR_SD				EQU		6
OMR_RSVD5			EQU		5
OMR_EBD				EQU		4
OMR_MD				EQU		3
OMR_RSVD2			EQU		2
OMR_MB				EQU		1
OMR_MA				EQU		0
;Bitmasks
OMR_SCS_MASK		EQU		$FF0000
OMR_EOM_MASK		EQU		$00FF00
OMR_COM_MASK		EQU		$0000FF
OMR_SEN_MASK		EQU		$100000
OMR_WRP_MASK		EQU		$080000
OMR_EOV_MASK		EQU		$040000
OMR_EUN_MASK		EQU		$020000
OMR_XYS_MASK		EQU		$010000
OMR_ATE_MASK		EQU		$008000
OMR_APD_MASK		EQU		$004000
OMR_TAS_MASK		EQU		$000800
OMR_CPD_MASK		EQU		$000300
OMR_MS_MASK			EQU		$000080
OMR_SD_MASK			EQU		$000040
OMR_EBD_MASK		EQU		$000010
OMR_MD_MASK			EQU		$000008
OMR_MB_MASK			EQU		$000002
OMR_MA_MASK			EQU		$000001
;Config. values
OMR_STACK_EXT_EN	EQU		$100000
OMR_STACK_EXT_DIS	EQU		$000000
OMR_STACK_EXT_X		EQU		$000000
OMR_STACK_EXT_Y		EQU		$010000
OMR_ADDR_TRACE_EN	EQU		$008000
OMR_ADDR_TRACE_DIS	EQU		$000000
OMR_AAP_EN			EQU		$000000
OMR_AAP_DIS			EQU		$004000
OMR_TA_SYNC_INT		EQU		$000800
OMR_TA_SYNC_EXT		EQU		$000000
OMR_DPL_DYNAMIC		EQU		$000000
OMR_DPL_HIGH		EQU		$000100
OMR_DPL_CORE		EQU		$000200
OMR_DPL_LOW			EQU		$000300
OMR_MEM_SW_EN		EQU		$000080
OMR_MEM_SW_DIS		EQU		$000000
OMR_STP_DLY_LONG	EQU		$000000
OMR_STP_DLY_SHORT	EQU		$000040
OMR_EXT_BUS_DIS		EQU		$000010
OMR_EXT_BUS_EN		EQU		$000000
OMR_RSVD_VAL		EQU		$000004


;IPR
IPRC				EQU		$FFFFFF		;INTERRUPT PRIORITY REGISTER CORE (IPR-C)
;Bits
IPRC_D5L1			EQU		23
IPRC_D5L0			EQU		22
IPRC_D4L1			EQU		21
IPRC_D4L0			EQU		20
IPRC_D3L1			EQU		19
IPRC_D3L0			EQU		18
IPRC_D2L1			EQU		17
IPRC_D2L0			EQU		16
IPRC_D1L1			EQU		15
IPRC_D1L0			EQU		14
IPRC_D0L1			EQU		13
IPRC_D0L0			EQU		12
IPRC_IDL2			EQU		11
IPRC_IDL1			EQU		10
IPRC_IDL0			EQU		9
IPRC_RSVD8			EQU		8
IPRC_RSVD7			EQU		7
IPRC_RSVD6			EQU		6
IPRC_IBL2			EQU		5
IPRC_IBL1			EQU		4
IPRC_IBL0			EQU		3
IPRC_IAL2			EQU		2
IPRC_IAL1			EQU		1
IPRC_IAL0			EQU		0
;Bitmasks
IPRC_D5L_MASK		EQU		$C00000
IPRC_D4L_MASK		EQU		$300000
IPRC_D3L_MASK		EQU		$0C0000
IPRC_D2L_MASK		EQU		$030000
IPRC_D1L_MASK		EQU		$00C000
IPRC_D0L_MASK		EQU		$003000
IPRC_IDL_MASK		EQU		$000E00
IPRC_IBL_MASK		EQU		$000038
IPRC_IAL_MASK		EQU		$000007
;Config. values
IPRC_DMA5_IPL_DIS	EQU		$000000
IPRC_DMA5_IPL_0		EQU		$400000
IPRC_DMA5_IPL_1		EQU		$800000
IPRC_DMA5_IPL_2		EQU		$C00000
IPRC_DMA4_IPL_DIS	EQU		$000000
IPRC_DMA4_IPL_0		EQU		$100000
IPRC_DMA4_IPL_1		EQU		$200000
IPRC_DMA4_IPL_2		EQU		$300000
IPRC_DMA3_IPL_DIS	EQU		$000000
IPRC_DMA3_IPL_0		EQU		$040000
IPRC_DMA3_IPL_1		EQU		$080000
IPRC_DMA3_IPL_2		EQU		$0C0000
IPRC_DMA2_IPL_DIS	EQU		$000000
IPRC_DMA2_IPL_0		EQU		$010000
IPRC_DMA2_IPL_1		EQU		$020000
IPRC_DMA2_IPL_2		EQU		$030000
IPRC_DMA1_IPL_DIS	EQU		$000000
IPRC_DMA1_IPL_0		EQU		$004000
IPRC_DMA1_IPL_1		EQU		$008000
IPRC_DMA1_IPL_2		EQU		$00C000
IPRC_DMA0_IPL_DIS	EQU		$000000
IPRC_DMA0_IPL_0		EQU		$001000
IPRC_DMA0_IPL_1		EQU		$002000
IPRC_DMA0_IPL_2		EQU		$003000
IPRC_IRQD_NEDGE		EQU		$000800
IPRC_IRQD_LEVEL		EQU		$000000
IPRC_IRQD_IPL_DIS	EQU		$000000
IPRC_IRQD_IPL_0		EQU		$000200
IPRC_IRQD_IPL_1		EQU		$000400
IPRC_IRQD_IPL_2		EQU		$000600
IPRC_IRQB_NEDGE		EQU		$000020
IPRC_IRQB_LEVEL		EQU		$000000
IPRC_IRQB_IPL_DIS	EQU		$000000
IPRC_IRQB_IPL_0		EQU		$000008
IPRC_IRQB_IPL_1		EQU		$000010
IPRC_IRQB_IPL_2		EQU		$000018
IPRC_IRQA_NEDGE		EQU		$000004
IPRC_IRQA_LEVEL		EQU		$000000
IPRC_IRQA_IPL_DIS	EQU		$000000
IPRC_IRQA_IPL_0		EQU		$000001
IPRC_IRQA_IPL_1		EQU		$000002
IPRC_IRQA_IPL_2		EQU		$000003

IPRP				EQU		$FFFFFE		;INTERRUPT PRIORITY REGISTER PERIPHERAL (IPR-P)
;Bits
IPRP_RSVD23			EQU		23
IPRP_RSVD22			EQU		22
IPRP_RSVD21			EQU		21
IPRP_RSVD20			EQU		20
IPRP_RSVD19			EQU		19
IPRP_RSVD18			EQU		18
IPRP_RSVD17			EQU		17
IPRP_RSVD16			EQU		16
IPRP_RSVD15			EQU		15
IPRP_RSVD14			EQU		14
IPRP_RSVD13			EQU		13
IPRP_RSVD12			EQU		12
IPRP_RSVD11			EQU		11
IPRP_RSVD10			EQU		10
IPRP_RSVD9			EQU		9
IPRP_RSVD8			EQU		8
IPRP_RSVD7			EQU		7
IPRP_RSVD6			EQU		6
IPRP_RSVD5			EQU		5
IPRP_RSVD4			EQU		4
IPRP_SHL1			EQU		3
IPRP_SHL0			EQU		2
IPRP_ESL1			EQU		1
IPRP_ESL0			EQU		0
;Bitmasks
IPRP_SHL_MASK		EQU		$00000C
IPRP_ESL_MASK		EQU		$000003
;Config. values
IPRP_SHI_IPL_DIS	EQU		$000000
IPRP_SHI_IPL_0		EQU		$000004
IPRP_SHI_IPL_1		EQU		$000008
IPRP_SHI_IPL_2		EQU		$00000C
IPRP_ESAI_IPL_DIS	EQU		$000000
IPRP_ESAI_IPL_0		EQU		$000001
IPRP_ESAI_IPL_1		EQU		$000002
IPRP_ESAI_IPL_2		EQU		$000003


;PLL
PCTL				EQU		$FFFFFD		;PLL CONTROL REGISTER (PCTL)
;Bits
PCTL_PD3			EQU		23
PCTL_PD2			EQU		22
PCTL_PD1			EQU		21
PCTL_PD0			EQU		20
PCTL_COD			EQU		19
PCTL_PEN			EQU		18
PCTL_PSTP			EQU		17
PCTL_XTLD			EQU		16
PCTL_XTLR			EQU		15
PCTL_DF2			EQU		14
PCTL_DF1			EQU		13
PCTL_DF0			EQU		12
PCTL_MF11			EQU		11
PCTL_MF10			EQU		10
PCTL_MF9			EQU		9
PCTL_MF8			EQU		8
PCTL_MF7			EQU		7
PCTL_MF6			EQU		6
PCTL_MF5			EQU		5
PCTL_MF4			EQU		4
PCTL_MF3			EQU		3
PCTL_MF2			EQU		2
PCTL_MF1			EQU		1
PCTL_MF0			EQU		0
;Bitmasks
PCTL_PD_MASK		EQU		$F00000
PCTL_COD_MASK		EQU		$080000
PCTL_PEN_MASK		EQU		$040000
PCTL_PSTP_MASK		EQU		$020000
PCTL_XTLD_MASK		EQU		$010000
PCTL_XTLR_MASK		EQU		$008000
PCTL_DF_MASK		EQU		$007000
PCTL_MF_MASK		EQU		$000FFF
;Config. values
PCTL_CLKOUT_EN		EQU		$000000
PCTL_CLKOUT_DIS		EQU		$080000
PCTL_PLL_EN			EQU		$040000
PCTL_PLL_DIS		EQU		$000000
PCTL_PLL_STOP_EN	EQU		$000000
PCTL_PLL_STOP_DIS	EQU		$020000
PCTL_XTAL_EN		EQU		$000000
PCTL_XTAL_DIS		EQU		$010000
PCTL_XTAL_LFREQ		EQU		$008000
PCTL_XTAL_HFREQ		EQU		$000000


;OnCE
OGDB				EQU		$FFFFFC		;ONCE GDB REGISTER (OGDB)


;BIU
BCR					EQU		$FFFFFB		;BUS CONTROL REGISTER (BCR)
;Bits
BCR_BRH				EQU		23
BCR_BRL				EQU		22
BCR_BBS				EQU		21
BCR_BDFW4			EQU		20
BCR_BDFW3			EQU		19
BCR_BDFW2			EQU		18
BCR_BDFW1			EQU		17
BCR_BDFW0			EQU		16
BCR_BA3W2			EQU		15
BCR_BA3W1			EQU		14
BCR_BA3W0			EQU		13
BCR_BA2W2			EQU		12
BCR_BA2W1			EQU		11
BCR_BA2W0			EQU		10
BCR_BA1W4			EQU		9
BCR_BA1W3			EQU		8
BCR_BA1W2			EQU		7
BCR_BA1W1			EQU		6
BCR_BA1W0			EQU		5
BCR_BA0W4			EQU		4
BCR_BA0W3			EQU		3
BCR_BA0W2			EQU		2
BCR_BA0W1			EQU		1
BCR_BA0W0			EQU		0
;Bitmasks
BCR_BRH_MASK		EQU		$800000
BCR_BRL_MASK		EQU		$400000
BCR_BBS_MASK		EQU		$200000
BCR_BDFW_MASK		EQU		$1F0000
BCR_BA3W_MASK		EQU		$00E000
BCR_BA2W_MASK		EQU		$001C00
BCR_BA1W_MASK		EQU		$0003E0
BCR_BA0W_MASK		EQU		$00001F
;Config. values
BCR_BR_HOLD_EN		EQU		$800000
BCR_BR_HOLD_DIS		EQU		$000000
BCR_BL_HOLD_EN		EQU		$400000
BCR_BL_HOLD_DIS		EQU		$000000

DCR					EQU		$FFFFFA		;DRAM CONTROL REGISTER (DCR)
;Bits
DCR_BRP				EQU		23
DCR_BRF7			EQU		22
DCR_BRF6			EQU		21
DCR_BRF5			EQU		20
DCR_BRF4			EQU		19
DCR_BRF3			EQU		18
DCR_BRF2			EQU		17
DCR_BRF1			EQU		16
DCR_BRF0			EQU		15
DCR_BSTR			EQU		14
DCR_BREN			EQU		13
DCR_BME				EQU		12
DCR_BPLE			EQU		11
DCR_RSVD10			EQU		10
DCR_BPS1			EQU		9
DCR_BPS0			EQU		8
DCR_RSVD7			EQU		7
DCR_RSVD6			EQU		6
DCR_RSVD5			EQU		5
DCR_RSVD4			EQU		4
DCR_BRW1			EQU		3
DCR_BRW0			EQU		2
DCR_BCW1			EQU		1
DCR_BCW0			EQU		0
;Bitmasks
DCR_BRP_MASK		EQU		$800000
DCR_BRF_MASK		EQU		$7F8000
DCR_BSTR_MASK		EQU		$004000
DCR_BREN_MASK		EQU		$002000
DCR_BME_MASK		EQU		$001000
DCR_BPLE_MASK		EQU		$000800
DCR_BPS_MASK		EQU		$000300
DCR_BRW_MASK		EQU		$00000C
DCR_BCW_MASK		EQU		$000003
;Config. values
DCR_BRR_64DIV_EN	EQU		$800000
DCR_BRR_64DIV_DIS	EQU		$000000
DCR_SOFT_REFR_REQ	EQU		$004000
DCR_REFR_COUNT_EN	EQU		$002000
DCR_REFR_COUNT_DIS	EQU		$000000
DCR_MSTRSHIP_EN		EQU		$001000
DCR_MSTRSHIP_DIS	EQU		$000000
DCR_PAG_LOG_EN		EQU		$000800
DCR_PAG_LOG_DIS		EQU		$000000
DCR_PAG_SZ_512W		EQU		$000000
DCR_PAG_SZ_1KW		EQU		$000100
DCR_PAG_SZ_2KW		EQU		$000200
DCR_PAG_SZ_4KW		EQU		$000300
DCR_ROUTPAG_WS_4	EQU		$000000
DCR_ROUTPAG_WS_8	EQU		$000004
DCR_ROUTPAG_WS_11	EQU		$000008
DCR_ROUTPAG_WS_15	EQU		$00000C
DCR_CINPAG_WS_1		EQU		$000000
DCR_CINPAG_WS_2		EQU		$000001
DCR_CINPAG_WS_3		EQU		$000002
DCR_CINPAG_WS_4		EQU		$000003

;AAR
;Bits
AAR_BAC11			EQU		23
AAR_BAC10			EQU		22
AAR_BAC9			EQU		21
AAR_BAC8			EQU		20
AAR_BAC7			EQU		19
AAR_BAC6			EQU		18
AAR_BAC5			EQU		17
AAR_BAC4			EQU		16
AAR_BAC3			EQU		15
AAR_BAC2			EQU		14
AAR_BAC1			EQU		13
AAR_BAC0			EQU		12
AAR_BNC3			EQU		11
AAR_BNC2			EQU		10
AAR_BNC1			EQU		9
AAR_BNC0			EQU		8
AAR_BPAC			EQU		7
AAR_BAM				EQU		6
AAR_BYEN			EQU		5
AAR_BXEN			EQU		4
AAR_BPEN			EQU		3
AAR_BAAP			EQU		2
AAR_BAT1			EQU		1
AAR_BAT0			EQU		0
;Bitmasks
AAR_BAC_MASK		EQU		$FFF000
AAR_BNC_MASK		EQU		$000F00
AAR_BPAC_MASK		EQU		$000080
AAR_BAM_MASK		EQU		$000040
AAR_BYEN_MASK		EQU		$000020
AAR_BXEN_MASK		EQU		$000010
AAR_BPEN_MASK		EQU		$000008
AAR_BAAP_MASK		EQU		$000004
AAR_BAT_MASK		EQU		$000003
;Config. values
AAR_PACK_EN			EQU		$000080
AAR_PACK_DIS		EQU		$000000
AAR_ADDR_MUX_EN		EQU		$000040
AAR_ADDR_MUX_DIS	EQU		$000000
AAR_Y_DATA_EN		EQU		$000020
AAR_Y_DATA_DIS		EQU		$000000
AAR_X_DATA_EN		EQU		$000010
AAR_X_DATA_DIS		EQU		$000000
AAR_P_DATA_EN		EQU		$000008
AAR_P_DATA_DIS		EQU		$000000
AAR_AA_ACTV_HIGH	EQU		$000004
AAR_AA_ACTV_LOW		EQU		$000000
AAR_SRAM_ACCESS		EQU		$000001
AAR_DRAM_ACCESS		EQU		$000002

AAR0				EQU		$FFFFF9		;ADDRESS ATTRIBUTE REGISTER 0 (AAR0)
AAR1				EQU		$FFFFF8		;ADDRESS ATTRIBUTE REGISTER 1 (AAR1)
AAR2				EQU		$FFFFF7		;ADDRESS ATTRIBUTE REGISTER 2 (AAR2)
AAR3				EQU		$FFFFF6		;ADDRESS ATTRIBUTE REGISTER 3 (AAR3)


IDR					EQU		$FFFFF5		;ID REGISTER (IDR)
;Bitmaks
IDR_REVSN_NUM		EQU		$00F000
IDR_DERVT_NUM		EQU		$000FFF


;DMA
DSTR				EQU		$FFFFF4		;DMA STATUS REGISTER (DSTR)
;Bits
DSTR_RSVD23			EQU		23
DSTR_RSVD22			EQU		22
DSTR_RSVD21			EQU		21
DSTR_RSVD20			EQU		20
DSTR_RSVD19			EQU		19
DSTR_RSVD18			EQU		18
DSTR_RSVD17			EQU		17
DSTR_RSVD16			EQU		16
DSTR_RSVD15			EQU		15
DSTR_RSVD14			EQU		14
DSTR_RSVD13			EQU		13
DSTR_RSVD12			EQU		12
DSTR_DCH2			EQU		11
DSTR_DCH1			EQU		10
DSTR_DCH0			EQU		9
DSTR_DACT			EQU		8
DSTR_RSVD7			EQU		7
DSTR_RSVD6			EQU		6
DSTR_DTD5			EQU		5
DSTR_DTD4			EQU		4
DSTR_DTD3			EQU		3
DSTR_DTD2			EQU		2
DSTR_DTD1			EQU		1
DSTR_DTD0			EQU		0
;Bitmasks
DSTR_DCH_MASK		EQU		$000E00
DSTR_DACT_MASK		EQU		$000100
DSTR_DTD_MASK		EQU		$00003F

DOR0				EQU		$FFFFF3		;DMA OFFSET REGISTER 0 (DOR0)
DOR1				EQU		$FFFFF2		;DMA OFFSET REGISTER 1 (DOR1)
DOR2				EQU		$FFFFF1		;DMA OFFSET REGISTER 2 (DOR2)
DOR3				EQU		$FFFFF0		;DMA OFFSET REGISTER 3 (DOR3)

;DCRx
;Bits
DCRx_DE				EQU		23
DCRx_DIE			EQU		22
DCRx_DTM2			EQU		21
DCRx_DTM1			EQU		20
DCRx_DTM0			EQU		19
DCRx_DPR1			EQU		18
DCRx_DPR0			EQU		17
DCRx_DCON			EQU		16
DCRx_DRS4			EQU		15
DCRx_DRS3			EQU		14
DCRx_DRS2			EQU		13
DCRx_DRS1			EQU		12
DCRx_DRS0			EQU		11
DCRx_D3D			EQU		10
DCRx_DAM5			EQU		9
DCRx_DAM4			EQU		8
DCRx_DAM3			EQU		7
DCRx_DAM2			EQU		6
DCRx_DAM1			EQU		5
DCRx_DAM0			EQU		4
DCRx_DDS1			EQU		3
DCRx_DDS0			EQU		2
DCRx_DSS1			EQU		1
DCRx_DSS0			EQU		0
;Bitmasks
DCRx_DE_MASK		EQU		$800000
DCRx_DIE_MASK		EQU		$400000
DCRx_DTM_MASK		EQU		$380000
DCRx_DPR_MASK		EQU		$060000
DCRx_DCON_MASK		EQU		$010000
DCRx_DRS_MASK		EQU		$00F100
DCRx_D3D_MASK		EQU		$000400
DCRx_DAM_MASK		EQU		$0003F0
DCRx_DDS_MASK		EQU		$00000C
DCRx_DSS_MASK		EQU		$000003
;Config. values
DCRx_DMA_CH_EN		EQU		$800000
DCRx_DMA_CH_DIS		EQU		$000000
DCRx_DMA_INT_EN		EQU		$400000
DCRx_DMA_INT_DIS	EQU		$000000	
DCRx_REQ_BLCK_CLDE	EQU		$000000
DCRx_REQ_WORD_CLDE	EQU		$080000
DCRx_REQ_LINE_CLDE	EQU		$100000
DCRx_DE_BLCK_CLDE	EQU		$180000
DCRx_REQ_BLCK		EQU		$200000
DCRx_REQ_WORD		EQU		$280000
DCRx_CH_IPL_0		EQU		$000000
DCRx_CH_IPL_1		EQU		$020000
DCRx_CH_IPL_2		EQU		$040000
DCRx_CH_IPL_3		EQU		$060000
DCRx_CONTS_MODE_EN	EQU		$010000
DCRx_CONTS_MODE_DIS	EQU		$000000
DCRx_RQSRC_IRQA		EQU		$000000
DCRx_RQSRC_IRQB		EQU		$000800
DCRx_RQSRC_IRQD		EQU		$001800
DCRx_RQSRC_DMA0		EQU		$002000
DCRx_RQSRC_DMA1		EQU		$002800
DCRx_RQSRC_DMA2		EQU		$003000
DCRx_RQSRC_DMA3		EQU		$003800
DCRx_RQSRC_DMA4		EQU		$004000
DCRx_RQSRC_DMA5		EQU		$004800
DCRx_RQSRC_ESAI_RX	EQU		$005800
DCRx_RQSRC_ESAI_TX	EQU		$006000
DCRx_RQSRC_SHI_HE	EQU		$006800
DCRx_RQSRC_SHI_FNE	EQU		$007000
DCRx_RQSRC_SHI_FF	EQU		$007800
DCRx_3D_ADDR_EN		EQU		$000400
DCRx_3D_ADDR_DIS	EQU		$000000
DCRx_DST_SPACE_X	EQU		$000000
DCRx_DST_SPACE_Y	EQU		$000004
DCRx_DST_SPACE_P	EQU		$000008
DCRx_SRC_SPACE_X	EQU		$000000
DCRx_SRC_SPACE_Y	EQU		$000001
DCRx_SRC_SPACE_P	EQU		$000002

;DMA0
DSR0				EQU		$FFFFEF		;DMA SOURCE ADDRESS REGISTER (DSR0)
DDR0				EQU		$FFFFEE		;DMA DESTINATION ADDRESS REGISTER (DDR0)
DCO0				EQU		$FFFFED		;DMA COUNTER (DCO0)
DCR0				EQU		$FFFFEC		;DMA CONTROL REGISTER (DCR0)


;DMA1
DSR1				EQU		$FFFFEB		;DMA SOURCE ADDRESS REGISTER (DSR1)
DDR1				EQU		$FFFFEA		;DMA DESTINATION ADDRESS REGISTER (DDR1)
DCO1				EQU		$FFFFE9		;DMA COUNTER (DCO1)
DCR1				EQU		$FFFFE8		;DMA CONTROL REGISTER (DCR1)


;DMA2
DSR2				EQU		$FFFFE7		;DMA SOURCE ADDRESS REGISTER (DSR2)
DDR2				EQU		$FFFFE6		;DMA DESTINATION ADDRESS REGISTER (DDR2)
DCO2				EQU		$FFFFE5		;DMA COUNTER (DCO2)
DCR2				EQU		$FFFFE4		;DMA CONTROL REGISTER (DCR2)


;DMA3
DSR3				EQU		$FFFFE3		;DMA SOURCE ADDRESS REGISTER (DSR3)
DDR3				EQU		$FFFFE2		;DMA DESTINATION ADDRESS REGISTER (DDR3)
DCO3				EQU		$FFFFE1		;DMA COUNTER (DCO3)
DCR3				EQU		$FFFFE0		;DMA CONTROL REGISTER (DCR3)


;DMA4
DSR4				EQU		$FFFFDF		;DMA SOURCE ADDRESS REGISTER (DSR4)
DDR4				EQU		$FFFFDE		;DMA DESTINATION ADDRESS REGISTER (DDR4)
DCO4				EQU		$FFFFDD		;DMA COUNTER (DCO4)
DCR4				EQU		$FFFFDC		;DMA CONTROL REGISTER (DCR4)


;DMA5
DSR5				EQU		$FFFFDB		;DMA SOURCE ADDRESS REGISTER (DSR5)
DDR5				EQU		$FFFFDA		;DMA DESTINATION ADDRESS REGISTER (DDR5)
DCO5				EQU		$FFFFD9		;DMA COUNTER (DCO5)
DCR5				EQU		$FFFFD8		;DMA CONTROL REGISTER (DCR5)


;PORT B
PCRB				EQU		$FFFFCF		;PORT B CONTROL REGISTER (PCRB)
;Bits
PCRB_RSVD23			EQU		23
PCRB_RSVD22			EQU		22
PCRB_RSVD21			EQU		21
PCRB_RSVD20			EQU		20
PCRB_RSVD19			EQU		19
PCRB_RSVD18			EQU		18
PCRB_RSVD17			EQU		17
PCRB_RSVD16			EQU		16
PCRB_RSVD15			EQU		15
PCRB_RSVD14			EQU		14
PCRB_RSVD13			EQU		13
PCRB_RSVD12			EQU		12
PCRB_RSVD11			EQU		11
PCRB_RSVD10			EQU		10
PCRB_RSVD9			EQU		9
PCRB_RSVD8			EQU		8
PCRB_RSVD7			EQU		7
PCRB_RSVD6			EQU		6
PCRB_RSVD5			EQU		5
PCRB_RSVD4			EQU		4
PCRB_PC3			EQU		3
PCRB_PC2			EQU		2
PCRB_PC1			EQU		1
PCRB_PC0			EQU		0
;Bitmasks
PCRB_PC_MASK		EQU		$00000F

PRRB				EQU		$FFFFCE		;PORT B DIRECTION REGISTER (PRRB)
;Bits
PRRB_RSVD23			EQU		23
PRRB_RSVD22			EQU		22
PRRB_RSVD21			EQU		21
PRRB_RSVD20			EQU		20
PRRB_RSVD19			EQU		19
PRRB_RSVD18			EQU		18
PRRB_RSVD17			EQU		17
PRRB_RSVD16			EQU		16
PRRB_RSVD15			EQU		15
PRRB_RSVD14			EQU		14
PRRB_RSVD13			EQU		13
PRRB_RSVD12			EQU		12
PRRB_RSVD11			EQU		11
PRRB_RSVD10			EQU		10
PRRB_RSVD9			EQU		9
PRRB_RSVD8			EQU		8
PRRB_RSVD7			EQU		7
PRRB_RSVD6			EQU		6
PRRB_RSVD5			EQU		5
PRRB_RSVD4			EQU		4
PRRB_PDC3			EQU		3
PRRB_PDC2			EQU		2
PRRB_PDC1			EQU		1
PRRB_PDC0			EQU		0
;Bitmasks
PRRB_PDC_MASK		EQU		$00000F

PDRB				EQU		$FFFFCD		;PORT B GPIO DATA REGISTER (PDRB)
;Bits
PDRB_RSVD23			EQU		23
PDRB_RSVD22			EQU		22
PDRB_RSVD21			EQU		21
PDRB_RSVD20			EQU		20
PDRB_RSVD19			EQU		19
PDRB_RSVD18			EQU		18
PDRB_RSVD17			EQU		17
PDRB_RSVD16			EQU		16
PDRB_RSVD15			EQU		15
PDRB_RSVD14			EQU		14
PDRB_RSVD13			EQU		13
PDRB_RSVD12			EQU		12
PDRB_RSVD11			EQU		11
PDRB_RSVD10			EQU		10
PDRB_RSVD9			EQU		9
PDRB_RSVD8			EQU		8
PDRB_RSVD7			EQU		7
PDRB_RSVD6			EQU		6
PDRB_RSVD5			EQU		5
PDRB_RSVD4			EQU		4
PDRB_PD3			EQU		3
PDRB_PD2			EQU		2
PDRB_PD1			EQU		1
PDRB_PD0			EQU		0
;Bitmasks
PDRB_PD_MASK		EQU		$00000F


;PORT C
PCRC				EQU		$FFFFBF		;PORT C CONTROL REGISTER (PCRC)
;Bits
PCRC_RSVD23			EQU		23
PCRC_RSVD22			EQU		22
PCRC_RSVD21			EQU		21
PCRC_RSVD20			EQU		20
PCRC_RSVD19			EQU		19
PCRC_RSVD18			EQU		18
PCRC_RSVD17			EQU		17
PCRC_RSVD16			EQU		16
PCRC_RSVD15			EQU		15
PCRC_RSVD14			EQU		14
PCRC_RSVD13			EQU		13
PCRC_RSVD12			EQU		12
PCRC_PC11			EQU		11
PCRC_PC10			EQU		10
PCRC_PC9			EQU		9
PCRC_PC8			EQU		8
PCRC_PC7			EQU		7
PCRC_PC6			EQU		6
PCRC_PC5			EQU		5
PCRC_PC4			EQU		4
PCRC_PC3			EQU		3
PCRC_PC2			EQU		2
PCRC_PC1			EQU		1
PCRC_PC0			EQU		0
;Bitmasks
PCRC_PC_MASK		EQU		$000FFF

PRRC				EQU		$FFFFBE		;PORT C DIRECTION REGISTER (PRRC)
;Bits
PRRC_RSVD23			EQU		23
PRRC_RSVD22			EQU		22
PRRC_RSVD21			EQU		21
PRRC_RSVD20			EQU		20
PRRC_RSVD19			EQU		19
PRRC_RSVD18			EQU		18
PRRC_RSVD17			EQU		17
PRRC_RSVD16			EQU		16
PRRC_RSVD15			EQU		15
PRRC_RSVD14			EQU		14
PRRC_RSVD13			EQU		13
PRRC_RSVD12			EQU		12
PRRC_PDC11			EQU		11
PRRC_PDC10			EQU		10
PRRC_PDC9			EQU		9
PRRC_PDC8			EQU		8
PRRC_PDC7			EQU		7
PRRC_PDC6			EQU		6
PRRC_PDC5			EQU		5
PRRC_PDC4			EQU		4
PRRC_PDC3			EQU		3
PRRC_PDC2			EQU		2
PRRC_PDC1			EQU		1
PRRC_PDC0			EQU		0
;Bitmasks
PRRC_PDC_MASK		EQU		$000FFF

PDRC				EQU		$FFFFBD		;PORT C GPIO DATA REGISTER (PDRC)
;Bits
PDRC_RSVD23			EQU		23
PDRC_RSVD22			EQU		22
PDRC_RSVD21			EQU		21
PDRC_RSVD20			EQU		20
PDRC_RSVD19			EQU		19
PDRC_RSVD18			EQU		18
PDRC_RSVD17			EQU		17
PDRC_RSVD16			EQU		16
PDRC_RSVD15			EQU		15
PDRC_RSVD14			EQU		14
PDRC_RSVD13			EQU		13
PDRC_RSVD12			EQU		12
PDRC_PD11			EQU		11
PDRC_PD10			EQU		10
PDRC_PD9			EQU		9
PDRC_PD8			EQU		8
PDRC_PD7			EQU		7
PDRC_PD6			EQU		6
PDRC_PD5			EQU		5
PDRC_PD4			EQU		4
PDRC_PD3			EQU		3
PDRC_PD2			EQU		2
PDRC_PD1			EQU		1
PDRC_PD0			EQU		0
;Bitmasks
PDRC_PD_MASK		EQU		$000FFF


;ESAI
RSMB				EQU		$FFFFBC		;ESAI RECEIVE SLOT MASK REGISTER B (RSMB)
;Bits
RSMB_RSVD23			EQU		23
RSMB_RSVD22			EQU		22
RSMB_RSVD21			EQU		21
RSMB_RSVD20			EQU		20
RSMB_RSVD19			EQU		19
RSMB_RSVD18			EQU		18
RSMB_RSVD17			EQU		17
RSMB_RSVD16			EQU		16
RSMB_RS31			EQU		15
RSMB_RS30			EQU		14
RSMB_RS29			EQU		13
RSMB_RS28			EQU		12
RSMB_RS27			EQU		11
RSMB_RS26			EQU		10
RSMB_RS25			EQU		9
RSMB_RS24			EQU		8
RSMB_RS23			EQU		7
RSMB_RS22			EQU		6
RSMB_RS21			EQU		5
RSMB_RS20			EQU		4
RSMB_RS19			EQU		3
RSMB_RS18			EQU		2
RSMB_RS17			EQU		1
RSMB_RS16			EQU		0
;Bitmasks
RSMB_RS_MASK		EQU		$00FFFF

RSMA				EQU		$FFFFBB		;ESAI RECEIVE SLOT MASK REGISTER A (RSMA)
;Bits
RSMA_RSVD23			EQU		23
RSMA_RSVD22			EQU		22
RSMA_RSVD21			EQU		21
RSMA_RSVD20			EQU		20
RSMA_RSVD19			EQU		19
RSMA_RSVD18			EQU		18
RSMA_RSVD17			EQU		17
RSMA_RSVD16			EQU		16
RSMA_RS15			EQU		15
RSMA_RS14			EQU		14
RSMA_RS13			EQU		13
RSMA_RS12			EQU		12
RSMA_RS11			EQU		11
RSMA_RS10			EQU		10
RSMA_RS9			EQU		9
RSMA_RS8			EQU		8
RSMA_RS7			EQU		7
RSMA_RS6			EQU		6
RSMA_RS5			EQU		5
RSMA_RS4			EQU		4
RSMA_RS3			EQU		3
RSMA_RS2			EQU		2
RSMA_RS1			EQU		1
RSMA_RS0			EQU		0
;Bitmasks
RSMA_RS_MASK		EQU		$00FFFF

TSMB				EQU		$FFFFBA		;ESAI TRANSMIT SLOT MASK REGISTER B (TSMB)
;Bits
TSMB_RSVD23			EQU		23
TSMB_RSVD22			EQU		22
TSMB_RSVD21			EQU		21
TSMB_RSVD20			EQU		20
TSMB_RSVD19			EQU		19
TSMB_RSVD18			EQU		18
TSMB_RSVD17			EQU		17
TSMB_RSVD16			EQU		16
TSMB_TS31			EQU		15
TSMB_TS30			EQU		14
TSMB_TS29			EQU		13
TSMB_TS28			EQU		12
TSMB_TS27			EQU		11
TSMB_TS26			EQU		10
TSMB_TS25			EQU		9
TSMB_TS24			EQU		8
TSMB_TS23			EQU		7
TSMB_TS22			EQU		6
TSMB_TS21			EQU		5
TSMB_TS20			EQU		4
TSMB_TS19			EQU		3
TSMB_TS18			EQU		2
TSMB_TS17			EQU		1
TSMB_TS16			EQU		0
;Bitmasks
TSMB_TS_MASK		EQU		$00FFFF

TSMA				EQU		$FFFFB9		;ESAI TRANSMIT SLOTMASK REGISTER A (TSMA)
;Bits
TSMA_RSVD23			EQU		23
TSMA_RSVD22			EQU		22
TSMA_RSVD21			EQU		21
TSMA_RSVD20			EQU		20
TSMA_RSVD19			EQU		19
TSMA_RSVD18			EQU		18
TSMA_RSVD17			EQU		17
TSMA_RSVD16			EQU		16
TSMA_TS15			EQU		15
TSMA_TS14			EQU		14
TSMA_TS13			EQU		13
TSMA_TS12			EQU		12
TSMA_TS11			EQU		11
TSMA_TS10			EQU		10
TSMA_TS9			EQU		9
TSMA_TS8			EQU		8
TSMA_TS7			EQU		7
TSMA_TS6			EQU		6
TSMA_TS5			EQU		5
TSMA_TS4			EQU		4
TSMA_TS3			EQU		3
TSMA_TS2			EQU		2
TSMA_TS1			EQU		1
TSMA_TS0			EQU		0
;Bitmasks
TSMA_TS_MASK		EQU		$00FFFF

RCCR				EQU		$FFFFB8		;ESAI RECEIVE CLOCK CONTROL REGISTER (RCCR)
;Bits
RCCR_RHCKD			EQU		23
RCCR_RFSD			EQU		22
RCCR_RCKD			EQU		21
RCCR_RHCKP			EQU		20
RCCR_RFSP			EQU		19
RCCR_RCKP			EQU		18
RCCR_RFP3			EQU		17
RCCR_RFP2			EQU		16
RCCR_RFP1			EQU		15
RCCR_RFP0			EQU		14
RCCR_RDC4			EQU		13
RCCR_RDC3			EQU		12
RCCR_RDC2			EQU		11
RCCR_RDC1			EQU		10
RCCR_RDC0			EQU		9
RCCR_RPSR			EQU		8
RCCR_RPM7			EQU		7
RCCR_RPM6			EQU		6
RCCR_RPM5			EQU		5
RCCR_RPM4			EQU		4
RCCR_RPM3			EQU		3
RCCR_RPM2			EQU		2
RCCR_RPM1			EQU		1
RCCR_RPM0			EQU		0
;Bitmasks
RCCR_RHCKD_MASK		EQU		$800000
RCCR_RFSD_MASK		EQU		$400000
RCCR_RCKD_MASK		EQU		$200000
RCCR_RHCKP_MASK		EQU		$100000
RCCR_RFSP_MASK		EQU		$080000
RCCR_RCKP_MASK		EQU		$040000
RCCR_RFP_MASK		EQU		$03C000
RCCR_RDC_MASK		EQU		$003E00
RCCR_RPSR_MASK		EQU		$000800
RCCR_RPM_MASK		EQU		$0000FF
;Config. values
RCCR_DIVBY8_EN		EQU		$000000
RCCR_DIVBY8_DIS		EQU		$000100
RCCR_RXCLKPOL_POS	EQU		$000000
RCCR_RXCLKPOL_NEG	EQU		$040000
RCCR_FRAMEPOL_POS	EQU		$000000
RCCR_FRAMEPOL_NEG	EQU		$080000
RCCR_HFCLKPOL_POS	EQU		$000000
RCCR_HFCLKPOL_NEG	EQU		$100000
RCCR_CLKSRC_INT		EQU		$200000
RCCR_CLKSRC_EXT		EQU		$000000
RCCR_FRAMESYN_INT	EQU		$400000
RCCR_FRAMESYN_EXT	EQU		$000000
RCCR_HFCLK_INT		EQU		$800000
RCCR_HFCLK_EXT		EQU		$000000

RCR					EQU		$FFFFB7		;ESAI RECEIVE CONTROL REGISTER (RCR)
;Bits
RCR_RLIE			EQU		23
RCR_RIE				EQU		22
RCR_REDIE			EQU		21
RCR_REIE			EQU		20
RCR_RPR				EQU		19
RCR_RSVD18			EQU		18
RCR_RSVD17			EQU		17
RCR_RFSR			EQU		16
RCR_RFSL			EQU		15
RCR_RSWS4			EQU		14
RCR_RSWS3			EQU		13
RCR_RSWS2			EQU		12
RCR_RSWS1			EQU		11
RCR_RSWS0			EQU		10
RCR_RMOD1			EQU		9
RCR_RMOD0			EQU		8
RCR_RWA				EQU		7
RCR_RSHFD			EQU		6
RCR_RSVD5			EQU		5
RCR_RSVD4			EQU		4
RCR_RE3				EQU		3
RCR_RE2				EQU		2
RCR_RE1				EQU		1
RCR_RE0				EQU		0
;Bitmasks
RCR_RLIE_MASK		EQU		$800000
RCR_RIE_MASK		EQU		$400000
RCR_REDIE_MASK		EQU		$200000
RCR_REIE_MASK		EQU		$100000
RCR_RPR_MASK		EQU		$080000
RCR_RFSR_MASK		EQU		$010000
RCR_RFSL_MASK		EQU		$008000
RCR_RSWS_MASK		EQU		$007C00
RCR_RMOD_MASK		EQU		$000300
RCR_RWA_MASK		EQU		$000080
RCR_RSHFD_MASK		EQU		$000040
RCR_RE_MASK			EQU		$00000F
;Config. values
RCR_RX0_EN			EQU		$000001
RCR_RX0_DIS			EQU		$000000
RCR_RX1_EN			EQU		$000002
RCR_RX1_DIS			EQU		$000000
RCR_RX2_EN			EQU		$000004
RCR_RX2_DIS			EQU		$000000
RCR_RX3_EN			EQU		$000008
RCR_RX3_DIS			EQU		$000000
RCR_SHFT_MSB_FRST	EQU		$000000
RCR_SHFT_LSB_FRST	EQU		$000040
RCR_WRDALGN_RIGHT	EQU		$000080
RCR_WRDALGN_LEFT	EQU		$000000
RCR_MODE_NORMAL		EQU		$000000
RCR_MODE_NETWORK	EQU		$000100
RCR_MODE_AC97		EQU		$000300
RCR_WORDLEN_FSYN	EQU		$000000
RCR_1BITCLK_FSYN	EQU		$008000
RCR_FSYN_FIRSTBIT	EQU		$000000
RCR_FSYN_LASTBIT	EQU		$010000
RCR_PERSONAL_RST	EQU		$080000
RCR_EXCEPTINT_EN	EQU		$100000
RCR_EXCEPTINT_DIS	EQU		$000000
RCR_EVENSLOTINT_EN	EQU		$200000
RCR_EVENSLOTINT_DIS	EQU		$000000
RCR_RXINT_EN		EQU		$400000
RCR_RXINT_DIS		EQU		$000000
RCR_LASTSLOTINT_EN	EQU		$800000
RCR_LASTSLOTINT_DIS	EQU		$000000

TCCR				EQU		$FFFFB6		;ESAI TRANSMIT CLOCK CONTROL REGISTER (TCCR)
;Bits
TCCR_THCKD			EQU		23
TCCR_TFSD			EQU		22
TCCR_TCKD			EQU		21
TCCR_THCKP			EQU		20
TCCR_TFSP			EQU		19
TCCR_TCKP			EQU		18
TCCR_TFP3			EQU		17
TCCR_TFP2			EQU		16
TCCR_TFP1			EQU		15
TCCR_TFP0			EQU		14
TCCR_TDC4			EQU		13
TCCR_TDC3			EQU		12
TCCR_TDC2			EQU		11
TCCR_TDC1			EQU		10
TCCR_TDC0			EQU		9
TCCR_TPSR			EQU		8
TCCR_TPM7			EQU		7
TCCR_TPM6			EQU		6
TCCR_TPM5			EQU		5
TCCR_TPM4			EQU		4
TCCR_TPM3			EQU		3
TCCR_TPM2			EQU		2
TCCR_TPM1			EQU		1
TCCR_TPM0			EQU		0
;Bitmasks
TCCR_THCKD_MASK		EQU		$800000
TCCR_TFSD_MASK		EQU		$400000
TCCR_TCKD_MASK		EQU		$200000
TCCR_THCKP_MASK		EQU		$100000
TCCR_TFSP_MASK		EQU		$080000
TCCR_TCKP_MASK		EQU		$040000
TCCR_TFP_MASK		EQU		$03C000
TCCR_TDC_MASK		EQU		$003E00
TCCR_TPSR_MASK		EQU		$000100
TCCR_TPM_MASK		EQU		$0000FF
;Config. values
TCCR_DIVBY8_EN		EQU		$000000
TCCR_DIVBY8_DIS		EQU		$000100
TCCR_TXCLKPOL_POS	EQU		$000000
TCCR_TXCLKPOL_NEG	EQU		$040000
TCCR_FRAMEPOL_POS	EQU		$000000
TCCR_FRAMEPOL_NEG	EQU		$080000
TCCR_HFCLKPOL_POS	EQU		$000000
TCCR_HFCLKPOL_NEG	EQU		$100000
TCCR_CLKSRC_INT		EQU		$200000
TCCR_CLKSRC_EXT		EQU		$000000
TCCR_FRAMESYN_OUT	EQU		$400000
TCCR_FRAMESYN_IN	EQU		$000000
TCCR_HFCLK_OUT		EQU		$800000
TCCR_HFCLK_IN		EQU		$000000

TCR					EQU		$FFFFB5		;ESAI TRANSMIT CONTROL REGISTER (TCR)
;Bits
TCR_TLIE			EQU		23
TCR_TIE				EQU		22
TCR_TEDIE			EQU		21
TCR_TEIE			EQU		20
TCR_TPR				EQU		19
TCR_RSVD18			EQU		18
TCR_PADC			EQU		17
TCR_TFSR			EQU		16
TCR_TFSL			EQU		15
TCR_TSWS4			EQU		14
TCR_TSWS3			EQU		13
TCR_TSWS2			EQU		12
TCR_TSWS1			EQU		11
TCR_TSWS0			EQU		10
TCR_TMOD1			EQU		9
TCR_TMOD0			EQU		8
TCR_TWA				EQU		7
TCR_TSHFD			EQU		6
TCR_TE5				EQU		5
TCR_TE4				EQU		4
TCR_TE3				EQU		3
TCR_TE2				EQU		2
TCR_TE1				EQU		1
TCR_TE0				EQU		0
;Bitmasks
TCR_TLIE_MASK		EQU		$800000
TCR_TIE_MASK		EQU		$400000
TCR_TEDIE_MASK		EQU		$200000
TCR_TEIE_MASK		EQU		$100000
TCR_TPR_MASK		EQU		$080000
TCR_PADC_MASK		EQU		$020000
TCR_TFSR_MASK		EQU		$010000
TCR_TFSL_MASK		EQU		$008000
TCR_TSWS_MASK		EQU		$007C00
TCR_TMOD_MASK		EQU		$000300
TCR_TWA_MASK		EQU		$000080
TCR_TSHFD_MASK		EQU		$000040
TCR_TE_MASK			EQU		$00003F
;Config. values
TCR_TX0_EN			EQU		$000001
TCR_TX0_DIS			EQU		$000000
TCR_TX1_EN			EQU		$000002
TCR_TX1_DIS			EQU		$000000
TCR_TX2_EN			EQU		$000004
TCR_TX2_DIS			EQU		$000000
TCR_TX3_EN			EQU		$000008
TCR_TX3_DIS			EQU		$000000
TCR_TX4_EN			EQU		$000010
TCR_TX4_DIS			EQU		$000000
TCR_TX5_EN			EQU		$000020
TCR_TX5_DIS			EQU		$000000
TCR_SHFT_MSB_FRST	EQU		$000000
TCR_SHFT_LSB_FRST	EQU		$000040
TCR_WRDALGN_RIGHT	EQU		$000080
TCR_WRDALGN_LEFT	EQU		$000000
TCR_MODE_NORMAL		EQU		$000000
TCR_MODE_NETWORK	EQU		$000100
TCR_MODE_AC97		EQU		$000300
TCR_WORDLEN_FSYN	EQU		$000000
TCR_1BITCLK_FSYN	EQU		$008000
TCR_FSYN_FIRSTBIT	EQU		$000000
TCR_FSYN_LASTBIT	EQU		$010000
TCR_ZEROPAD_EN		EQU		$020000
TCR_ZEROPAD_DIS		EQU		$000000
TCR_PERSONAL_RST	EQU		$080000
TCR_EXCEPTINT_EN	EQU		$100000
TCR_EXCEPTINT_DIS	EQU		$000000
TCR_EVENSLOTINT_EN	EQU		$200000
TCR_EVENSLOTINT_DIS	EQU		$000000
TCR_TXINT_EN		EQU		$400000
TCR_TXINT_DIS		EQU		$000000
TCR_LASTSLOTINT_EN	EQU		$800000
TCR_LASTSLOTINT_DIS	EQU		$000000

SAICR				EQU		$FFFFB4		;ESAI COMMON CONTROL REGISTER (SAICR)
;Bits
SAICR_RSVD23		EQU		23
SAICR_RSVD22		EQU		22
SAICR_RSVD21		EQU		21
SAICR_RSVD20		EQU		20
SAICR_RSVD19		EQU		19
SAICR_RSVD18		EQU		18
SAICR_RSVD17		EQU		17
SAICR_RSVD16		EQU		16
SAICR_RSVD15		EQU		15
SAICR_RSVD14		EQU		14
SAICR_RSVD13		EQU		13
SAICR_RSVD12		EQU		12
SAICR_RSVD11		EQU		11
SAICR_RSVD10		EQU		10
SAICR_RSVD9			EQU		9
SAICR_ALC			EQU		8
SAICR_TEBE			EQU		7
SAICR_SYN			EQU		6
SAICR_RSVD5			EQU		5
SAICR_RSVD4			EQU		4
SAICR_RSVD3			EQU		3
SAICR_OF2			EQU		2
SAICR_OF1			EQU		1
SAICR_OF0			EQU		0
;Bitmasks
SAICR_ALC_MASK		EQU		$000100
SAICR_TEBE_MASK		EQU		$000080
SAICR_SYN_MASK		EQU		$000040
SAICR_OF_MASK		EQU		$000007
;Config. values
SAICR_SYNCMODE_EN	EQU		$000040
SAICR_SYNCMODE_DIS	EQU		$000000
SAICR_EXTBUFF_EN	EQU		$000080
SAICR_EXTBUFF_DIS	EQU		$000000
SAICR_15BIT_ALIGN	EQU		$000100
SAICR_23BIT_ALIGN	EQU		$000000

SAISR				EQU		$FFFFB3		;ESAI STATUS REGISTER (SAISR)
;Bits
SAISR_RSVD23		EQU		23
SAISR_RSVD22		EQU		22
SAISR_RSVD21		EQU		21
SAISR_RSVD20		EQU		20
SAISR_RSVD19		EQU		19
SAISR_RSVD18		EQU		18
SAISR_TODE			EQU		17
SAISR_TEDE			EQU		16
SAISR_TDE			EQU		15
SAISR_TUE			EQU		14
SAISR_TFS			EQU		13
SAISR_RSVD12		EQU		12
SAISR_RSVD11		EQU		11
SAISR_RODF			EQU		10
SAISR_REDF			EQU		9
SAISR_RDF			EQU		8
SAISR_ROE			EQU		7
SAISR_RFS			EQU		6
SAISR_RSVD5			EQU		5
SAISR_RSVD4			EQU		4
SAISR_RSVD3			EQU		3
SAISR_IF2			EQU		2
SAISR_IF1			EQU		1
SAISR_IF0			EQU		0
;Bitmasks
SAISR_TODE_MASK		EQU		$020000
SAISR_TEDE_MASK		EQU		$010000
SAISR_TDE_MASK		EQU		$008000
SAISR_TUE_MASK		EQU		$004000
SAISR_TFS_MASK		EQU		$002000
SAISR_RODF_MASK		EQU		$000400
SAISR_REDF_MASK		EQU		$000200
SAISR_RDF_MASK		EQU		$000100
SAISR_ROE_MASK		EQU		$000080
SAISR_RFS_MASK		EQU		$000040
SAISR_IF_MASK		EQU		$000007

RX3					EQU		$FFFFAB		;ESAI RECEIVE DATA REGISTER 3 (RX3)
RX2					EQU		$FFFFAA		;ESAI RECEIVE DATA REGISTER 2 (RX2)
RX1					EQU		$FFFFA9		;ESAI RECEIVE DATA REGISTER 1 (RX1)
RX0					EQU		$FFFFA8		;ESAI RECEIVE DATA REGISTER 0 (RX0)

TSR					EQU		$FFFFA6		;ESAI TIME SLOT REGISTER (TSR)
TX5					EQU		$FFFFA5		;ESAI TRANSMIT DATA REGISTER 5 (TX5)
TX4					EQU		$FFFFA4		;ESAI TRANSMIT DATA REGISTER 4 (TX4)
TX3					EQU		$FFFFA3		;ESAI TRANSMIT DATA REGISTER 3 (TX3)
TX2					EQU		$FFFFA2		;ESAI TRANSMIT DATA REGISTER 2 (TX2)
TX1					EQU		$FFFFA1		;ESAI TRANSMIT DATA REGISTER 1 (TX1)
TX0					EQU		$FFFFA0		;ESAI TRANSMIT DATA REGISTER 0 (TX0)

;SHI
HRX					EQU		$FFFF94		;SHI RECEIVE FIFO (HRX)
HTX					EQU		$FFFF93		;SHI TRANSMIT REGISTER (HTX)

HSAR				EQU		$FFFF92		;SHI I2C SLAVE ADDRESS REGISTER (HSAR)
;Bits
HSAR_HA6			EQU		23
HSAR_HA5			EQU		22
HSAR_HA4			EQU		21
HSAR_HA3			EQU		20
HSAR_RSVD19			EQU		19
HSAR_HA1			EQU		18
HSAR_RSVD17			EQU		17
HSAR_RSVD16			EQU		16
HSAR_RSVD15			EQU		15
HSAR_RSVD14			EQU		14
HSAR_RSVD13			EQU		13
HSAR_RSVD12			EQU		12
HSAR_RSVD11			EQU		11
HSAR_RSVD10			EQU		10
HSAR_RSVD9			EQU		9
HSAR_RSVD8			EQU		8
HSAR_RSVD7			EQU		7
HSAR_RSVD6			EQU		6
HSAR_RSVD5			EQU		5
HSAR_RSVD4			EQU		4
HSAR_RSVD3			EQU		3
HSAR_RSVD2			EQU		2
HSAR_RSVD1			EQU		1
HSAR_RSVD0			EQU		0
;Bitmasks
HSAR_HA6_MASK		EQU		$800000
HSAR_HA5_MASK		EQU		$400000
HSAR_HA4_MASK		EQU		$200000
HSAR_HA3_MASK		EQU		$100000
HSAR_HA1_MASK		EQU		$040000

HCSR				EQU		$FFFF91		;SHI CONTROL/STATUS REGISTER (HCSR)
;Bits
HCSR_RSVD23			EQU		23
HCSR_HBUSY			EQU		22
HCSR_HBER			EQU		21
HCSR_HROE			EQU		20
HCSR_HRFF			EQU		19
HCSR_RSVD18			EQU		18
HCSR_HRNE			EQU		17
HCSR_RSVD16			EQU		16
HCSR_HTDE			EQU		15
HCSR_HTUE			EQU		14
HCSR_HRIE1			EQU		13
HCSR_HRIE0			EQU		12
HCSR_HTIE			EQU		11
HCSR_HBIE			EQU		10
HCSR_HIDLE			EQU		9
HCSR_HRQE1			EQU		8
HCSR_HRQE0			EQU		7
HCSR_HMST			EQU		6
HCSR_HFIFO			EQU		5
HCSR_HCKFR			EQU		4
HCSR_HM1			EQU		3
HCSR_HM0			EQU		2
HCSR_HI2C			EQU		1
HCSR_HEN			EQU		0
;Bitmasks
HCSR_HBUSY_MASK		EQU		$400000
HCSR_HBER_MASK		EQU		$200000
HCSR_HROE_MASK		EQU		$100000
HCSR_HRFF_MASK		EQU		$080000
HCSR_HRNE_MASK		EQU		$020000
HCSR_HTDE_MASK		EQU		$008000
HCSR_HTUE_MASK		EQU		$004000
HCSR_HRIE_MASK		EQU		$003000
HCSR_HTIE_MASK		EQU		$000800
HCSR_HBIE_MASK		EQU		$000400
HCSR_HIDLE_MASK		EQU		$000200
HCSR_HRQE_MASK		EQU		$000180
HCSR_HMST_MASK		EQU		$000040
HCSR_HFIFO_MASK		EQU		$000020
HCSR_HCKFR_MASK		EQU		$000010
HCSR_HM_MASK		EQU		$00000C
HCSR_HI2C_MASK		EQU		$000002
HCSR_HEN_MASK		EQU		$000001
;Config. values
HCSR_SHI_EN			EQU		$000001
HCSR_SHI_DIS		EQU		$000000
HCSR_SPI_MODE		EQU		$000000
HCSR_I2C_MODE		EQU		$000002
HCSR_8BIT_DATA		EQU		$000000
HCSR_16BIT_DATA		EQU		$000004
HCSR_24BIT_DATA		EQU		$000008
HCSR_I2C_FZCLK_EN	EQU		$000010
HCSR_I2C_FZCLK_DIS	EQU		$000000
HCSR_1LEV_FIFO		EQU		$000000
HCSR_10LEV_FIFO		EQU		$000020
HCSR_MST_MODE		EQU		$000040
HCSR_SLV_MODE		EQU		$000000
HCSR_HREQ_HIGHZ		EQU		$000000
HCSR_HREQ_RDYRX		EQU		$000080
HCSR_HREQ_RDYTX		EQU		$000100
HCSR_HREQ_RDYTXRX	EQU		$000180
HCSR_BEINT_EN		EQU		$000400
HCSR_BEINT_DIS		EQU		$000000
HCSR_TXINT_EN		EQU		$000800
HCSR_TXINT_DIS		EQU		$000000
HCSR_RXINT_DIS		EQU		$000000
HCSR_RXINT_FULL		EQU		$001000
HCSR_RXINT_EMPTY	EQU		$003000

HCKR				EQU		$FFFF90		;SHI CLOCK CONTROL REGISTER (HCKR)
;Bits
HCKR_RSVD23			EQU		23
HCKR_RSVD22			EQU		22
HCKR_RSVD21			EQU		21
HCKR_RSVD20			EQU		20
HCKR_RSVD19			EQU		19
HCKR_RSVD18			EQU		18
HCKR_RSVD17			EQU		17
HCKR_RSVD16			EQU		16
HCKR_RSVD15			EQU		15
HCKR_RSVD14			EQU		14
HCKR_HFM1			EQU		13
HCKR_HFM0			EQU		12
HCKR_RSVD11			EQU		11
HCKR_HDM7			EQU		10
HCKR_HDM6			EQU		9
HCKR_HDM5			EQU		8
HCKR_HDM4			EQU		7
HCKR_HDM3			EQU		6
HCKR_HDM2			EQU		5
HCKR_HDM1			EQU		4
HCKR_HDM0			EQU		3
HCKR_HRS			EQU		2
HCKR_CPOL			EQU		1
HCKR_CPHA			EQU		0
;Bitmasks
HCKR_HFM_MASK		EQU		$003000
HCKR_HDM_MASK		EQU		$0007F8
HCKR_HRS_MASK		EQU		$000004
HCKR_CPOL_MASK		EQU		$000002
HCKR_CPHA_MASK		EQU		$000001
;Config. values
HCKR_SCK_LOW_RE		EQU		$000000
HCKR_SCK_LOW_FE		EQU		$000001
HCKR_SCK_HIGH_FE	EQU		$000002
HCKR_SCK_HIGH_RE	EQU		$000003
HCKR_DIVBY8_EN		EQU		$000000
HCKR_DIVBY8_DIS		EQU		$000004
HCKR_NRF_DIS		EQU		$000000
HCKR_NRF_NRWSPKE	EQU		$002000
HCKR_NRF_WDESPKE	EQU		$003000
